body * {
    display: flex;
    flex-flow: column;
    margin: 0;
    padding: 0;
}

.messaging {
    flex-direction: row;
    height: 100%;
}

.container_inbox {
    flex-direction: column;
    background: #f8f8f8 none repeat scroll 0 0;
    overflow-y: auto;
    overflow-x: hidden;
    min-width: 300px;
    width: 35%;
    max-width: 400px;
    border-right: 1px solid #c4c4c4;
}

.inbox_heading {
    padding: 10px;
    min-height: 80px;
    flex-direction: row;
    align-items: flex-end;
    border-bottom: 1px solid grey;
}

.inbox_list {
    height: 100%;
    overflow-y: scroll;
}

.inbox_item {
    border-bottom: 1px solid lightgray;
    padding: 2%;
    flex-direction: row;
}

div.inbox_item:hover {
    cursor: pointer;
}

div.inbox_item_active:hover {
    cursor: default;
}

div.inbox_item div.inbox_item_imgdiv {
    width: 25%;
    padding: 2%;
}

div.inbox_item div.inbox_item_imgdiv img {
    width: 100%;
    height: 100%;
}

div.inbox_item div.inbox_item_bodydiv {
    width: 75%;
    padding: 2%;
    flex-flow: column;
}

div.inbox_item div.inbox_item_bodydiv p.inbox_item_lastmessage {
    color: dimgray;
    font-size: 1rem;
}

div.inbox_item div.inbox_item_bodydiv p.inbox_item_lastdate {
    color: gray;
    font-size: 0.8rem;
}

div.container_msghistory {
    flex-direction: column-reverse;
    padding: 1%;
    width: 100%;
}

div.text_area {
    flex-direction: row;
    border-top: 1px solid lightgray;
    position: relative;
    height: 3rem;
}

div.text_area input.text_area_textbox { 
    width: 100%;
    border: 0;
}

div.text_area div.text_area_submit {
    aspect-ratio: 1/1;
    flex-shrink: 0;
    justify-content: center;
    align-items: center;
    align-content: center;
}

button.msg_send_btn {
    background-color: #05728f;
    border: medium none;
    border-radius: 50%;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    width:  75%;
    height: 75%;
    justify-content: center;
    align-content: center;
    align-items: center;
}

div.msg_history {   
    flex-flow: column-reverse;
    align-items: stretch;
    width: 100%;
    height: 100%;
    overflow-y: scroll;
}

div.msg_history div.msg.incoming {
    flex-direction: row;
}

div.msg_history div.msg.outgoing {
    flex-direction: row-reverse;
    text-align: right;
}

div.msg_history div.msg div.msg_img{
    margin: 5px;
    max-height: 50px;
    max-width: 50px;
    aspect-ratio: 1/1;
}

div.msg_history div.msg div.msg_img img{
    width: 100%;
    height: 100%;
}

div.msg_history div.msg.offerdeal div.msg_content p.msg_val{ 
    font-size: larger;
    font-weight: 600;
}

div.msg.outgoing p {
    background-color: #75acff;
}

div.msg .msg_img {
    height: 100%;
    width: 100%;
    max-width: 50px;
    max-height: 50px;
}

.incoming_msg .msg_img picture {
    aspect-ratio: 1 / 1;
}

.msg_content {
    max-width: 80%;
}

.incoming_msg .msg_content {
    display: inline-block;
    padding: 0 0 0 10px;
    vertical-align: top;
}

.msg_content p {
    background: #ebebeb none repeat scroll 0 0;
    border-radius: 3px;
    color: #1d1d1d;
    font-size: 14px;
    margin: 0;
    padding: 5px 10px 5px 12px;
    width: 100%;
}

div.msg_content p.msg_timestamp {
    background-color: transparent;
    color: #747474;
    display: block;
    font-size: 12px;
    margin-top: 2px;
    padding: 0;
}

div.container_msghistory div.offer_bar{
    border: lightgray solid 1px;
    border-bottom: dimgray solid 1px;
    height: 200px;
    padding: 0.5%;
    flex-direction: row;
}

div.offer_bar div.offer_imgdiv {
    width: 20%;
    padding: 0.5%
}

div.offer_imgdiv img {
    width: 100%;
}

div.offer_bar div.offer_bodydiv {
    width: 80%;
    padding: 1%;
    flex-direction: column;
    justify-content: flex-end;
}

div.offer_bar div.offer_summdiv{
    flex-grow: 1;
    padding: 1%;
}

div.offer_bar div.offer_ctrldiv {
    flex-shrink: 0;
    flex-grow: 0.1;
    justify-content: flex-end;
}

div.offer_ctrldiv * {
    text-align: right;
}

div.offer_ctrldiv div.offer_controls {
    flex-direction: row;
    justify-content: flex-end;
}

div.offer_controls button {
    padding: 1% 2% 1% 2%;
    border-radius: 8px;
    margin: 0;
    margin-right: 2%;
    flex-shrink: 0;
    cursor: pointer;
}

/* ---------- BELOW IS UNSORTED ---------- */



.inbox_item_active {
    background: #ebebeb;
}

